Opened 16 years ago

Closed 16 years ago

#3004 closed defect (fixed)

darcs fails to install because of ghc

Reported by: aconchillo@… Owned by: gwright@…
Priority: Normal Milestone:
Component: ports Version: 1.0
Keywords: Cc:
Port:

Description

darcs fails to install because of the ghc dependency. The error is:

googy:~ aleix$ sudo port install darcs Error: Error executing darwin_7: can't read "ghc_bootversion": no such variable Error: The following dependencies failed to build: ghc googy:~ aleix$

darcs installed successfully in older ports versions.

This is a list of my installed ports:

============= googy:~ aleix$ port installed The following ports are currently installed:

apr 0.9.6_0 (active) apr-util 0.9.6_0 (active) arch 1.3.1-fix-1_0 (active) autoconf 2.59_0 (active) automake 1.9.5_0 (active) db4 4.2.52_0+darwin_7 (active) diffutils 2.8.1_0 (active) dlcompat 20030629_0 (active) expat 1.95.8_1 (active) gettext 0.14.3_1 (active) glib2 2.6.4_0 (active) gmake 3.80_1 (active) gmp 4.1.4_2 (active) joe 2.9.8-pre1_0 (active) libiconv 1.9.2_1 (active) libnet 1.0.2a_2 (active) libtool 1.5.16_0 (active) libxml2 2.6.16_0 (active) nemesis 1.4beta3_0 (active) neon 0.24.7_0 (active) perl5.8 5.8.6_1 (active) pkgconfig 0.17.2_0 (active) readline 5.0.005_0 (active) subversion 1.1.4_0 (active)

googy:~ aleix$ ==============

regards,

aleix

Change History (3)

comment:1 Changed 16 years ago by jmpp@…

Owner: changed from darwinports-bugs@… to gwright@…

Assigning bug to maintainer of ghc port.

-jmpp

comment:2 Changed 16 years ago by gwright@…

Status: newassigned

Fixed a typo in the portfile. Let me know if this works, since I no longer have a Panther system to test on.

/gw

comment:3 Changed 16 years ago by aconchillo@…

Resolution: fixed
Status: assignedclosed

yes, that fixed the problem. thanks.

aleix

Note: See TracTickets for help on using tickets.